commit:     ba52d365d7a5c9e48b2911010cd26546896ba4ff
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 20 14:21:28 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Sep 20 14:21:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba52d365

net-mail/ytnef: Bump to version 2.0

Bug: https://bugs.gentoo.org/774255
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-mail/ytnef/Manifest         |  1 +
 net-mail/ytnef/ytnef-2.0.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/net-mail/ytnef/Manifest b/net-mail/ytnef/Manifest
index 68a870574ef..130fa7b1c34 100644
--- a/net-mail/ytnef/Manifest
+++ b/net-mail/ytnef/Manifest
@@ -1 +1,2 @@
 DIST ytnef-1.9.3.tar.gz 301338 BLAKE2B 
2a70453225c1c6acaa4a73f0d50e9be3076e0fd1e8dcf79029fe6f23dacbd94046b88d62e561c24914d44121eefbc968523c02302d2d5c6eb95ab68d2620560c
 SHA512 
be0a46e79561a5ff34f812b892a781809606cc7e38c6bfed15bae7773f952b4b55aed0fa784922e72839121672c540496db1bac602630c5a83141f8517a4a543
+DIST ytnef-2.0.tar.gz 301906 BLAKE2B 
3d42cf3bfc311a8d227424939cdb1e7b37a038314655b24ce54e26fbc0e5a0a7aa9fad0d4592297a5c521d3957c753b492e9724edb06c449d654faf68c7f43e7
 SHA512 
9ceba15a774f552911779859b7de11baddb7f980b0e8751c02a0c27275fa5624a4d4d24177bb4edba243acf3a9c5b89ddbbed1e759a330794bed8b2da63ffeb6

diff --git a/net-mail/ytnef/ytnef-2.0.ebuild b/net-mail/ytnef/ytnef-2.0.ebuild
new file mode 100644
index 00000000000..0ba15afddf9
--- /dev/null
+++ b/net-mail/ytnef/ytnef-2.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Yeraze's TNEF Stream Reader - for winmail.dat files"
+HOMEPAGE="https://github.com/Yeraze/ytnef";
+SRC_URI="https://github.com/Yeraze/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="static-libs"
+
+DEPEND="sys-devel/libtool"
+RDEPEND="dev-perl/MIME-tools"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${ED}" -name "*.la" -delete || die
+}

Reply via email to